<?php
	include("funciones/funciones_backup.php");  
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("Zonas/zona_nacional.php"); 
	encabezado2($target); 
	$id=$_GET['id_zona'];
	$nombre=$_GET['nombre'];
	$pagina='ACTUALIZAR ZONAS NACIONALES';
	if($tipo==2 && !isset($Ejecutar)){
		$read="readonly='readonly'";
		$pagina='ELIMINAR ZONAS NACIONALES';
	}
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: <? echo $pagina;?> ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Nombre:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="hidden" name="cod_zona" value="<? echo $id?>" class="inputbox" size="25">
<input type="text" name="nombre" value="<? echo $nombre?>" class="inputbox" size="25" <? echo $read;?>>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center"> 
<?
if($tipo==1){
print ('<input type="submit" name="Ejecutar" value="Actualizar" class="inputbox">');
}else{
print ('<input type="submit" name="Ejecutar" value="Eliminar" class="inputbox"> <input type="submit" value="Cancelar" name="Cancelar" onClick="javascript:window.close();" class="inputbox">');
print ('<script>document.backup.Cancelar.focus(); </script>');
}
?>
 </div>
</td>
</tr>
</table>
</form>
</CENTER>
<?

if($tipo==1 && isset($Ejecutar)){
  
class ejecutaZonan{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($cod_zona,$nombre){
			 $_SESSION['desc']=$desc;
	  		 $this->consultarObj=new zona_nacional();
	  		 $this->consultarObj->setCod_zona($cod_zona);
			 $this->consultarObj->setNombrez($nombre);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM zonas_nacionales WHERE id_zona_nal='".$this->consultarObj->getCod_zona()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$cod_zona=$this->consultarObj->getCod_zona();
				$nombre=$this->consultarObj->getNombrez();
				$this->modificarZona($cod_zona,$nombre,$abr);
			}else{
				$msgBOX2 = "No Se Encontro Zona Nacional.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function modificarZona($cod_zona,$nombre,$abr){
			$rst_modificar=$this->conexionObj->consultar("UPDATE zonas_nacionales SET nombre = '".$nombre."' WHERE id_zona_nal = ".$cod_zona."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Actualizo Zona Nacional.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Actualizar Zona Nacional.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$ejecutaZonanObj=new ejecutaZonan();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$ejecutaZonanObj->setConsultar($_POST['cod_zona'],$_POST['nombre']);
// LAMANDO EL METODO DE NEGOCIO
$ejecutaZonanObj->validar();
  
}elseif($tipo==2 && isset($Ejecutar)){
  //echo "Quitar menu";
class quitarZona{
	  var $consultarObj;
	  var $conexionObj;
	  var $estado;
	  
	function setConsultar($cod_zona){
	  		 $this->consultarObj=new zona_nacional();
	  		 $this->consultarObj->setCod_zona($cod_zona);
	}
	function getConsultar(){
		     return $this->consultarObj;
	}
	function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM zonas_nacionales WHERE id_zona_nal='".$this->consultarObj->getCod_zona()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$cod_zona=$this->consultarObj->getCod_zona();
				$this->eliminarZona($cod_zona);
			}else{
				$msgBOX2 = "No Se Encontro Zona Nacional.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}
	
	}
	function eliminarZona($id){
			$rst_modificar=$this->conexionObj->consultar("DELETE FROM zonas_nacionales WHERE id_zona_nal = ".$id."");
			$affected_modificar=mysql_affected_rows();
			if($affected_modificar>=1){
				$msgBOX2 = "Se Elimino Zona Nacional.";
				echo "<script>
	             	  opener.document.location.reload();
					  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}else{
				$msgBOX2 = "No Se Pudo Eliminar Zona Nacional.";
				echo "<script>
	             	  alert('$msgBOX2');
					  window.close();
	  		  	      </script>";
			}

	}
	
}// FIN DE LA CLASE ELIMINARFUNCIONALIDAD
// CREACION DEL OBJETO
$quitarZonaObj=new quitarZona();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$quitarZonaObj->setConsultar($_POST['cod_zona']);
// LAMANDO EL METODO DE NEGOCIO
$quitarZonaObj->validar();
  
}
	echo"<table width=300 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
?>
<td>
<CENTER>
<?
        pie_de_pagina();
        ?>
</CENTER>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</body>";
	echo"</html>";
?>